# CylinderGraphics

#### new Cesium.CylinderGraphics(options)
DataSources/CylinderGraphics.js 38

Describes a cylinder, truncated cone, or cone defined by a length, top radius, and bottom radius. The center position and orientation are determined by the containing `Entity`.

Name | Type | Description
--- | --- | ---
`options` | CylinderGraphics.ConstructorOptions | optional Object describing initialization options

### Members

#### bottomRadius : Property|undefined
DataSources/CylinderGraphics.js 113

Gets or sets the numeric Property specifying the radius of the bottom of the cylinder.

#### readonly definitionChanged : Event
DataSources/CylinderGraphics.js 80

Gets the event that is raised whenever a property or sub-property is changed or modified.

#### distanceDisplayCondition : Property|undefined
DataSources/CylinderGraphics.js 196

Gets or sets the `DistanceDisplayCondition` Property specifying at what distance from the camera that this cylinder will be displayed.

#### fill : Property|undefined
DataSources/CylinderGraphics.js 129

Gets or sets the boolean Property specifying whether the cylinder is filled with the provided material.

Default Value: `true`

#### heightReference : Property|undefined
DataSources/CylinderGraphics.js 121

Gets or sets the Property specifying the `HeightReference`.

Default Value: `HeightReference.NONE`

#### length : Property|undefined
DataSources/CylinderGraphics.js 99

Gets or sets the numeric Property specifying the length of the cylinder.

#### material : MaterialProperty|undefined
DataSources/CylinderGraphics.js 137

Gets or sets the Property specifying the material used to fill the cylinder.

Default Value: `Color.WHITE`

#### numberOfVerticalLines : Property|undefined
DataSources/CylinderGraphics.js 172

Gets or sets the Property specifying the number of vertical lines to draw along the perimeter for the outline.

Default Value: `16`

#### outline : Property|undefined
DataSources/CylinderGraphics.js 145

Gets or sets the boolean Property specifying whether the cylinder is outlined.

Default Value: `false`

#### outlineColor : Property|undefined
DataSources/CylinderGraphics.js 153

Gets or sets the Property specifying the `Color` of the outline.

Default Value: `Color.BLACK`

#### outlineWidth : Property|undefined
DataSources/CylinderGraphics.js 164

Gets or sets the numeric Property specifying the width of the outline.

Note: This property will be ignored on all major browsers on Windows platforms. For details, see (@link https://github.com/CesiumGS/cesium/issues/40}.

Default Value: `1.0`

#### shadows : Property|undefined
DataSources/CylinderGraphics.js 189

Get or sets the enum Property specifying whether the cylinder casts or receives shadows from light sources.

Default Value: `ShadowMode.DISABLED`

#### show : Property|undefined
DataSources/CylinderGraphics.js 92

Gets or sets the boolean Property specifying the visibility of the cylinder.

Default Value: `true`

#### slices : Property|undefined
DataSources/CylinderGraphics.js 180

Gets or sets the Property specifying the number of edges around the perimeter of the cylinder.

Default Value: `128`

#### topRadius : Property|undefined
DataSources/CylinderGraphics.js 106

Gets or sets the numeric Property specifying the radius of the top of the cylinder.

### Methods

#### clone(result) → CylinderGraphics
DataSources/CylinderGraphics.js 207

Duplicates this instance.

Name | Type | Description
--- | --- | ---
`result` | CylinderGraphics | optional The object onto which to store the result.

##### Returns:

The modified result parameter or a new instance if one was not provided.

#### merge(source)
DataSources/CylinderGraphics.js 234

Assigns each unassigned property on this object to the value of the same property on the provided source object.

Name | Type | Description
--- | --- | ---
`source` | CylinderGraphics | The object to be merged into this object.

### Type Definitions

#### Cesium.CylinderGraphics.ConstructorOptions
DataSources/CylinderGraphics.js 8

Initialization options for the CylinderGraphics constructor

##### Properties:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`show` | Property | boolean | <optional> | true | A boolean Property specifying the visibility of the cylinder.
`length` | Property | number | <optional> |  | A numeric Property specifying the length of the cylinder.
`topRadius` | Property | number | <optional> |  | A numeric Property specifying the radius of the top of the cylinder.
`bottomRadius` | Property | number | <optional> |  | A numeric Property specifying the radius of the bottom of the cylinder.
`heightReference` | Property | HeightReference | <optional> | HeightReference.NONE | A Property specifying what the height from the entity position is relative to.
`fill` | Property | boolean | <optional> | true | A boolean Property specifying whether the cylinder is filled with the provided material.
`material` | MaterialProperty | Color | <optional> | Color.WHITE | A Property specifying the material used to fill the cylinder.
`outline` | Property | boolean | <optional> | false | A boolean Property specifying whether the cylinder is outlined.
`outlineColor` | Property | Color | <optional> | Color.BLACK | A Property specifying the `Color` of the outline.
`outlineWidth` | Property | number | <optional> | 1.0 | A numeric Property specifying the width of the outline.
`numberOfVerticalLines` | Property | number | <optional> | 16 | A numeric Property specifying the number of vertical lines to draw along the perimeter for the outline.
`slices` | Property | number | <optional> | 128 | The number of edges around the perimeter of the cylinder.
`shadows` | Property | ShadowMode | <optional> | ShadowMode.DISABLED | An enum Property specifying whether the cylinder casts or receives shadows from light sources.
`distanceDisplayCondition` | Property | DistanceDisplayCondition | <optional> |  | A Property specifying at what distance from the camera that this cylinder will be displayed.